Subject: Bug#834176: libgeoclue-2-dev should depend on package geoclue-2.0

From: Laurent Bigonville <[email-masked]>
Date: Sun, 14 Aug 2016 22:36:32 +0200

Le 12/08/16 à 21:38, Carlos Alberto Lopez Perez a écrit :
> Hi,
>
> I think libgeoclue-2-dev should depend on package geoclue-2.0 because
> this package contains files needed for development of geoclue like
> geoclue-2.0.pc
>
> I have been dealing with geoclue/package-config related failures trying
> to build webkit on debian sid until I realized the packageconfig file
> geoclue-2.0.pc was not shipped on the dev package rather than in the
> package geoclue-2.0
I don't think that dependency should be added.

If webkit uses the dbus API directly, it should build-depends against 
geoclue-2.0 package directly.

If it's using libgeoclue (which is a convenience library/wrapper around 
dbus) it should build-depends against it.